---

#### Determine Active cluster node

- name: Check mount_point
  import_role:
    name: mount_check
  tags: always

- meta: end_host
  when:
    - cluster != '0'

- name: Create app folder structure
  file:
    name: "{{ item }}"
    state: directory
    owner: "{{ wcgate_user }}"
    group: "{{ wcgate_user }}"
  with_items: "{{ wcgate_folders }}"

- name: Copy settings
  template:
    src: "{{ wcgate_config_file }}.j2"
    dest: "{{ wcgate_config }}/{{ wcgate_config_file }}"
    backup: true
    owner: "{{ wcgate_user }}"
    group: "{{ wcgate_user }}"
  tags: config

- name: Copy logback settings
  copy:
    src: logback.xml
    dest: "{{ wcgate_config }}/logback.xml"
    backup: true
    owner: "{{ wcgate_user }}"
    group: "{{ wcgate_user }}"
  tags: config

- name: Copy application config
  copy:
    src: "applications/{{ item }}"
    dest: "{{ wcgate_app_config }}/"
    backup: true
    owner: "{{ wcgate_user }}"
    group: "{{ wcgate_user }}"
  with_items: "{{ wcgate_application }}"
  tags: config

- name: Copy keystore and cert
  copy:
    src: "keys/{{ item }}"
    dest: "{{ wcgate_keys }}/"
    owner: "{{ wcgate_user }}"
    group: "{{ wcgate_user }}"
    backup: true
  loop: "{{ wcgate_key_list }}"

- name: Cleanup logs
  become_user: "{{ wcgate_user }}"
  ansible.builtin.cron:
    name: "Moving Wirecardgate logs to Oracle Object Storage"
    hour: "04"
    minute: "47"
    job: '/bin/s3cmd put --recursive --preserve {{ wcgate_log }}/archive/ s3://dump_metrics/{{ project }}/{{ sub_env_name }}/wcgate/ --exclude "*" --include "*.gz" --force && find {{ wcgate_log }}/archive/ -type f -name "*.gz" -exec rm {} \; >/dev/null 2>&1'
  tags:
    - config
    - cron
  when:
    - ansible_os_family == 'RedHat'
